module Mod_etime
  integer*2 elapsed_hour,elapsed_min
  real elapsed_time,elapsed_sec
end module Mod_etime
!
subroutine el_time()
  use Mod_etime
  real elmin
	if (elapsed_time < 3600.0) then
	   elapsed_hour = 0
	   elapsed_min = int(elapsed_time/60.0)
	   elapsed_sec = mod(elapsed_time,60.0)
	else
	   elapsed_hour = int(elapsed_time/3600.0)
	   elmin  = mod(elapsed_time,3600.0)
	   elapsed_min  = int(elmin/60.0)
	   elapsed_sec = mod(elmin,60.0)
	end if
end subroutine el_time